.mc_content {
    width: 100vw;
    height: auto;
    padding-left: 200px;
    padding-right: 200px;
    color: white;
    box-sizing: border-box;
    position: relative;

}

@media screen and (max-width: 1375px) { 
    .mc_content {
        padding-left: 100px;
        padding-right: 100px;
    }
}

@media screen and (max-width: 1050px) { 
    .mc_content {
        padding-left: 50px;
        padding-right: 50px;
    }
}

@media screen and (max-width: 750px) { 
    .mc_content {
        padding-left: 16px;
        padding-right: 16px;
    }
}

h1 {
    font-size: 40px;
    line-height: 110%;
}

@media screen and (max-width: 650px) { 
    h1 {
        font-size: 34px;
    }
}


h2 {
    font-size: 30px;
}

@media screen and (max-width: 650px) { 
    h2 {
        font-size: 25px;
    }
}

h3 {
    font-size: 18px;
    font-weight: 400;
    margin: 0px;
}

content p {
    margin-top: 8px;
}

.mc_calctitle {
    margin-top: 20px;
    margin-bottom: 40px;
}

@media screen and (max-width: 850px) { 
    .mc_calctitle {
        margin-top: 40px;
    }
}

.mc_top_container {
    width: 100%;
    background-color: transparent;
    display: flex;
    flex-direction: row;
}

@media screen and (max-width: 900px) { 
    .mc_top_container {
        flex-direction: column;
    }
}

    .mc_equation_container {
        width: 50%;  
        min-height: 360px;
        box-sizing: border-box;
        margin-right: 35px;
    }

    @media screen and (max-width: 1000px) { 
        .mc_equation_container {
            margin-right: 18px;
        }
    }

    @media screen and (max-width: 900px) { 
        .mc_equation_container {
            width: 100%;
            min-height: auto;
            margin-right: 0px;  
            margin-bottom: 40px;
            padding-bottom: 40px;
        }
    }

        .mc_equation_inner {
            height: 200px;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        @media screen and (max-width: 900px) { 
            .mc_equation_inner {
                height: auto;
            }
        }

            .mc_equation_wrap {
                color: white;
                font-size: 20px;
            }

    .mc_input_container {
        width: 50%;
        min-height: 360px;
        box-sizing: border-box;
        margin-left: 35px;
    }

    @media screen and (max-width: 1000px) { 
        .mc_input_container {
            margin-left: 18px;
        }
    }

    @media screen and (max-width: 900px) { 
        .mc_input_container {
            width: 100%;
            margin-left: 0px;  
            min-height: auto;
            padding-bottom: 16px;
        }
    }

        .mc_uppercont {
            width: 100%;
            height: auto;
            display: flex;
            justify-content: space-between;
            margin-top: 25px;
            margin-bottom: 25px;
        }

            .mc_uppertitle {
                width: auto;
                margin: 0;
            }

            .mc_upperbuttons {
                width: auto;
                display: flex;
                justify-content: flex-end;
            }

                .mc_upperbutton {
                    width: auto;
                    height: fit-content;
                    padding-left: 12px;
                    padding-right: 12px;
                    margin-top: 11px;
                    border-radius: 4px;
                    border-color: white;
                    border-width: 2px;
                    border-bottom-width: 0px;
                    border-top-width: 0px;
                    border-style: solid;
                    opacity: 0.8;
                    -webkit-touch-callout: none; /* iOS Safari */
                    -webkit-user-select: none; /* Safari */
                    -moz-user-select: none; /* Firefox */
                    -ms-user-select: none; /* Internet Explorer/Edge */
                    user-select: none; /* Non-prefixed version, supported by most modern browsers */
                }

                .mc_upperbutton:hover {
                    opacity: 1;
                    cursor: pointer;
                }

                .mc_ub_calc {
                    margin-left: 16px;
                }

        .mc_inputrow {
            width: 100%;
            display: flex;
            flex-wrap: nowrap;
            margin-bottom: 20px;
        }

        @media screen and (max-width: 450px) { 
            .mc_inputrow {
                flex-direction: column;
                box-sizing: border-box;
            }
        }

            .mc_variabletitle {
                width: 70%;
            }

            @media screen and (max-width: 1000px) { 
                .mc_variabletitle {
                    font-size: 16px;
                }
            }

            @media screen and (max-width: 450px) { 
                .mc_variabletitle {
                    width: 90%;
                    margin-bottom: 4px;
                }
            }

            .v_m {
                opacity: 0.7;
                margin-left: 10px;
            }

            .mc_input {
                width: 30%;
                margin-left: 10px;
                height: 22px;
                border-top-width: 0px;
                border-bottom-width: 1px;
                border-left-width: 0px;
                border-right-width: 0px;
                border-color: white;
                border-style: solid;
                background-color: transparent;
                outline: none;
                color: white;
                border-radius: 5px;
                padding-left: 14px;
                border-top-left-radius: 0px;
                border-top-right-radius: 0px;
            }

            @media screen and (max-width: 450px) { 
                .mc_input {
                    width: calc(100% - 100px);
                    margin-left: 0px;
                    margin-right: 10px;
                }
            }

.mc_middle_container {
    min-height: 360px;
    margin-top: 50px;
    box-sizing: border-box;
    display: none;
    overflow-x: scroll;
}

.mc_middle_container::-webkit-scrollbar {
    display: none;
}

@media screen and (max-width: 1000px) { 
    .mc_middle_container {
        margin-top: 36px;
    }
}

    .mc_jsoutput_container_top {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

        .mc_waiting {
            width: 151px;
            padding-left: 20px;
            padding-right: 20px;
            padding-top: 5px;
            padding-bottom: 5px;
            background-color: transparent;
            border-color: white;
            border-style: solid;
            border-width: 0px;
            border-right-width: 3px;
            border-left-width: 3px;
            border-radius: 5px;
            opacity: 0.7;
            margin-top: 10px;
            margin-bottom: 10px;
        }
    
    .mc_jsoutput_container_bottom {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

        .mc_extrawaiting_outer {
            width: 100%;
            height: auto;
            display: flex;
            flex-direction: row;
            justify-content: center;
        }

            .mc_extrawaiting {
                margin-bottom: 44px;
                height: 25px;
            }

                .plotcnv {
                    width: 100%;
                    height: 400px;
                }

        .mc_jsoutput_container_under {
            width: 100%;
            height: auto;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            flex-wrap: wrap;
            margin-bottom: 30px;
        }

            .extrarow {
                width: 100%;
                display: flex;
                flex-direction: row;
                justify-content: center;
            }

.mc_bottom_container {
    width: 100%;
    height: auto;
    margin-top: 60px;
    margin-bottom: 30px;
}

    .mc_bottom_container h1 {
        margin-bottom: 0px;
    }

    .mc_bottom_container h2 {
        margin-bottom: 0px;
        font-weight: 500;
        font-size: 28px;
    }

    @media screen and (max-width: 650px) { 
        .mc_bottom_container h2 {
            font-size: 26px;
        }
    }
    
    @media screen and (max-width: 450px) { 
        .mc_bottom_container h2 {
            font-size: 22px;
        }
    }

.mc_containers {
    border-radius: 10px;
    height: auto;
    border-top-width: 2px;
    border-bottom-width: 2px;
    border-left-width: 0px;
    border-right-width: 0px;
    border-color: white;
    border-style: solid;
    background-color: rgb(12, 10, 43, 0.4);
    padding-left: 34px;
    padding-right: 34px;
}

@media screen and (max-width: 600px) { 
    .mc_containers {
        padding-left: 20px;
        padding-right: 20px;
    }
}

@media screen and (max-width: 400px) { 
    .mc_containers {
        padding-left: 16px;
        padding-right: 16px;
    }
}